Bug 253431 - Remove /bin/sh packaging dependency
Remove /bin/sh packaging dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: readline (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 144749
  Show dependency treegraph
 
Reported: 2007-08-19 08:13 EDT by Jan Kratochvil
Modified: 2009-07-14 12:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proof of concept; mock runs fine but its scripts are broken. (1.77 KB, patch)
2007-08-19 08:13 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2007-08-19 08:13:00 EDT
Description of problem:
Currently bash must use static readline as there is a dependency loop otherwise.
There are various Bugs in bash as its readline is not being regularly updated.
readline currently requires already installed /bin/sh for its rpm scriptlets.

Version-Release number of selected component (if applicable):
5.2-5.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Patch bash .spec file to use shared libreadline (Bug 144749 Comment 2).
2. Build mock root:
   mock -r fedora-devel-x86_64 --rebuildcache --debug --verbose init

Actual results:
error: rpmtsOrder failed, 58 elements remain
...
Executing timeout(0): /usr/sbin/mock-helper chroot
/var/lib/mock/fedora-development-x86_64/root /sbin/runuser - root -c
"/usr/sbin/useradd -m -u 502 -d /builddir mockbuild"
chroot: cannot run command `/sbin/runuser': No such file or directory
...
Non-zero return value 127 on executing /usr/sbin/mock-helper chroot
/var/lib/mock/fedora-development-x86_64/root /sbin/runuser - root -c
"/usr/sbin/useradd -m -u 502 -d /builddir mockbuild"

Expected results:
Finished initializing root

Additional info:
`/bin/sh' may not be the only culprit.
`/sbin/install-info' may be also a dependency problem, if it turns out to be one
the `info' package should be also fixed to no longer depend on `/bin/sh'.
Some binary simple sytem("...");system("..."); file would be probably needed as
the `%post -p' program.
Comment 1 Jan Kratochvil 2007-08-19 08:13:00 EDT
Created attachment 161820 [details]
Proof of concept; mock runs fine but its scripts are broken.
Comment 2 Bug Zapper 2008-04-04 09:38:02 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-13 23:08:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:46:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:02:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.